Subject: spider installation on 3b1

From: [email-masked] (bruce dietrich-campbell)
Date: Sat, 1 Jul 89 17:35:25 -0500

Hi,

I've just installed spider on my ATT 3b1 (aka UnixPC). Thought you
might be interested in a few minor changes I had to make.

	1. In common.c I added the definition

		#define index strchr

	since the routine is named differently on SysV machines.
	I probably should have added a -DUSG compilation flag, but
	since this was the only dependency ...

	2. In spider.awk, three sprintf lines were missing the
	surrounding parentheses:

1221c1221
< temp=sprintf"strncmp(\"%s\",loc-1,%d)==0",$2,length($2)
---
> temp=sprintf("strncmp(\"%s\",loc-1,%d)==0",$2,length($2))
1231c1231
< temp=sprintf"'%s'",$2
---
> temp=sprintf("'%s'",$2)
3040c3040
< temp=sprintf"(pp+%d)->cat",$i-1
---
> temp=sprintf("(pp+%d)->cat",$i-1)

	This was confusing, since BSD4.3 awk doesn't mind.

	3. My awk then wouldn't digest c.spider or awk.spider,
	complaining of an

		awk : unexpected break, continue or next at record ###

	where ### was one more than the number of lines in c.spider
	or awk.spider.  Rather than fight it, I installed gawk2.10
	and everything went fine. (Note that gawk also burps on
	the missing parentheses mentioned in 2 above.)

The last line of BUGS is:

===> Bundled 11 Apr 89; all bugs into patches/003

Cheers!

.............................................................................
Bruce Dietrich-Campbell  ARPA:   [email-masked]
                         USENET: ...!{uunet,rocky,harvard}!cmcl2!vx2!campbell